renaming
[shutils.git] / nsd / init.d / nsd-dynipwatch
diff --git a/nsd/init.d/nsd-dynipwatch b/nsd/init.d/nsd-dynipwatch
new file mode 100755 (executable)
index 0000000..d7563da
--- /dev/null
@@ -0,0 +1,41 @@
+#!/bin/sh -e
+### BEGIN INIT INFO
+# Provides:          nsd-dynipwatch
+# Required-Start:    $nsd3
+# Required-Stop:     $nsd3
+# Should-Start:      $local_fs
+# Should-Stop:       $local_fs
+# Default-Start:     2 3 4 5
+# Default-Stop:      0 1 6
+# Short-Description: Start nsd dynip update
+# Description:       Provides an updater for NSD3 zone files
+### END INIT INFO
+
+
+
+. /lib/lsb/init-functions
+
+PIDFILE=/var/run/nsd-dynipwatch.pid
+ARGS="/etc/nsd3/sthu.org.zone euklid"
+
+case "$1" in
+start)
+        start-stop-daemon --start --quiet --background --pidfile $PIDFILE --make-pidfile --exec /usr/local/bin/nsd-dynipwatch -- $ARGS
+       ;;
+stop)
+        start-stop-daemon --stop --quiet --pidfile $PIDFILE
+        ;;
+restart)
+        start-stop-daemon --stop --retry 5 --quiet --pidfile $PIDFILE
+        start-stop-daemon --start --quiet --background --pidfile $PIDFILE --make-pidfile --exec /usr/local/bin/nsd-dynipwatch -- $ARGS
+        ;;
+status)
+       status_of_proc -p $PIDFILE /usr/local/bin/nsd-dynipwatch nsd-dynipwatch && exit 0 || exit $?
+       ;;
+*)
+       log_action_msg "Usage: /etc/init.d/cron {start|stop|restart}"
+        exit 2
+        ;;
+esac
+exit 0
+